<!-- extend base layout -->
{% extends "base.html" %}
{% block css %}
    <!-- Ion.RangeSlider -->
    <link href="/isard-admin/vendors/normalize-css/normalize.css" rel="stylesheet">
<!--
    <link href="/isard-admin/vendors/ion.rangeSlider/css/ion.rangeSlider.css" rel="stylesheet">
    <link href="/isard-admin/vendors/ion.rangeSlider/css/ion.rangeSlider.skinFlat.css" rel="stylesheet">
-->
        <!-- Switchery -->
    <link href="/isard-admin/vendors/switchery/dist/switchery.min.css" rel="stylesheet">
{% endblock %}
{% block content %}

<div class="row">
	<div class="col-md-12 col-sm-12 col-xs-12">
	 <div class="x_panel howto-desktops collapse-link">
		<h3>
			<i class="fa fa-rss"></i>
			How to connect to desktops
			<small><i class="fa fa-chevron-down" style="margin-top: none;"></i></small>
		</h3> 
		<div class="x_content" style="display: none;">
			<table>
				<tr>
					<td style="min-width: 20cm;">
						<h4><b>Spice client native apps</b></h4>
						<ul>
							<div class="howto-Windows" style="display:none">
							<li>Windows 64bits: <a href="https://releases.pagure.org/virt-viewer/virt-viewer-x64-9.0.msi">Install viewer </a> - <a href="https://www.spice-space.org/download/windows/usbdk/UsbDk_1.0.22_x64.msi">Install usb plug </a></li>
							<li>Windows 32bits: <a href="https://releases.pagure.org/virt-viewer/virt-viewer-x86-9.0.msi">Install viewer</a> - <a href="https://www.spice-space.org/download/windows/usbdk/UsbDk_1.0.22_x86.msi">Install usb plug </a></li>
							</div>
							<div class="howto-Linux" style="display:none">
							<li><b>Debian/Ubuntu based distros:</b> sudo apt install virt-viewer -y</li>
							<li><b>RedHat/CentOS/Fedora based distros:</b> sudo dnf install remote-viewer -y</li>
							</div>
							<div class="howto-Android" style="display:none">
							<li>Android: <a href="https://play.google.com/store/apps/details?id=com.iiordanov.freeaSPICE">Install aSpice viewer </a></li>
							</div>
							<div class="howto-MacOS" style="display:none">
							<li>MacOS: There is no spice client app currently. Use default HTML5 browser option.</li>
							</div>
						</ul>
					</td>
					<td>
						<h4 style="padding-top: 20px;"><b>VPN network access & RDP</b> (Wireguard VPN client to access guests IPs is required)</h4>
						<ul>
							<li><a href="https://www.wireguard.com/install/" target="blank"><b>Install wireguard client</b> </a>. After installing wireguard client you'll need your config file to set up VPN.</li>
							<li><button id="btn-uservpnconfig" type="button" class="btn btn-info">Download vpn config file</button></li>
	
							<div class="howto-Windows" style="display:none">
							
							</div>
							<div class="howto-Linux" style="display:none">
							<!--
							<li>
							<button id="btn-uservpninstall" type="button" class="btn btn-info">Download Network-Manager script</button>
							</li>
							
							<li>
								<button id="btn-uservpnconfig" type="button" class="btn btn-info">Download vpn config file</button>
							</li>
							<li>
								<b>Wireguard client</b> <a href="https://download.wireguard.com/windows-client/">Install viewer </a>. After installing wireguard client you'll need your config file to set up VPN.</li>
							</li>
							-->
							</div>
							<div class="howto-Android" style="display:none">
							<li><b>Android:</b> Not tested.</li>
							</div>
							<div class="howto-MacOS" style="display:none">
							<li><b>MacOS:</b> Open downloaded console.vncloc file with default VNC client viewer app.</li>
							</div>
							<div class="howto-iOS" style="display:none">
							<li><b>iOS:</b> Not tested</li>
							</div>
						</ul>
					</td>
				</tr>
			</table>
		</div>
	 </div>
	</div>
</div>

<div class="row">
	<div class="col-md-12 col-sm-12 col-xs-12">
		<div class="x_panel">
			<div class="x_title">
				<h3><i class="fa fa-desktop"></i> Desktops</h3>
				<ul class="nav navbar-right panel_toolbox">
					<li>
						<a class="btn-new"><span style="color: #5499c7; "><i class="fa fa-plus"></i> Add new</span></a>
					</li>
        </ul>
        <div class="clearfix"></div>
			</div>
			<div class="x_content">
				<p class="text-muted font-13 m-b-30"></p>
				<table id="desktops" class="table" width="100%">
					<thead>
						<tr>
							<th></th>
							<th></th>
							<th>Action</th>
							<th>Display</th>
							<th>Status</th>
							<th>Viewer</th>
							<th>Name</th>
							<th>Media</th>
							<!--<th>Hotplug</th>-->
						</tr>
					</thead>
					<tbody>
					</tbody>
				</table>
			</div>
		</div>
	</div>
	{% include '/pages/desktops_viewers.html' %}
	{% include '/pages/desktops_modals.html' %}
	{% include '/pages/desktops_detail.html' %}
</div>

<!-- Warning: this comment is needed for spiceTLS
<textarea id="caStore" type="text" cols="65" rows="15" style="display:none"></textarea>
-->
<!-- Is it possible to hide this? -->
<embed type="application/x-spice" width=0 height=0 style="display: none;">

{% endblock %}

{% block pagescript %}
   <!-- Ion.RangeSlider -->
<!--
    <script src="/isard-admin/vendors/ion.rangeSlider/js/ion.rangeSlider.min.js"></script>
-->
   <!-- Ion.RangeSlider -->
    <script src="/isard-admin/vendors/ion.rangeSlider/js/ion.rangeSlider.min.js"></script>
    <!-- iCheck -->
    <script src="/isard-admin/vendors/iCheck/icheck.min.js"></script> 
    <!-- Switchery -->
    <script src="/isard-admin/vendors/switchery/dist/switchery.min.js"></script>
    <!-- Isard restful ajax calls -->
    <script src="/isard-admin/static/js/restful.js"></script>
    <!-- Spice viewer -->
    <script src="/isard-admin/static/js/viewer.js"></script> 
    <!-- Desktops sse & modals -->
    <script src="/isard-admin/static/js/desktops.js"></script>
{% endblock %}
